- [HTTP request](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/postmaster/reference/rest/v2beta/domains/delete#body.aspect)

Deletes a domain from the user's account. Returns NOT_FOUND if the domain is not registered by the user.

### HTTP request

`DELETE https://gmailpostmastertools.googleapis.com/v2beta/{name=domains/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The domain to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/postmaster`
- `
  https://www.googleapis.com/auth/postmaster.domain`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).